<div class="p-formgrid grid">
  <div class="col-12 md:col-8">
    <p-card>
      <ng-template pTemplate="title">
        <div class="flex justify-content-between align-items-center">
          Kategorien
          <p-button
            *urboCmsUiHasPermission="Permission.CategoryWrite"
            icon="pi pi-plus"
            (onClick)="showDialog()"
            class="p-button-success p-mt-2"
          ></p-button>
        </div>
      </ng-template>
      <p-accordion>
        <p-accordionTab
          *ngFor="let category of categories; let i = index"
          [header]="category.title.de!"
          class="p-fluid"
        >
          <form #f="ngForm" (ngSubmit)="updateCategory(category)">
            <div class="field">
              <label [for]="'title_de_' + i">Name (deutsch)</label>
              <input
                [id]="'title_de_' + i"
                [name]="'title_de_' + i"
                type="text"
                pInputText
                [(ngModel)]="category.title.de"
                [required]="true"
              />
            </div>
            <div class="field">
              <label [for]="'title_en_' + i">Name (englisch)</label>
              <input
                [id]="'title_en_' + i"
                [name]="'title_en_' + i"
                type="text"
                pInputText
                [(ngModel)]="category.title.en"
                [required]="true"
              />
            </div>
            <div class="field">
              <p-multiSelect
                [name]="'source_categories_' + i"
                [options]="allSourceCategories"
                [(ngModel)]="category.sourceCategories"
                [resetFilterOnHide]="true"
                [maxSelectedLabels]="99"
                placeholder="Wähle Quellkategorien"
                display="chip"
              ></p-multiSelect>
            </div>
            <div class="justify-content-end flex">
              <p-progressSpinner
                *ngIf="loading"
                styleClass="w-3rem h-3rem mr-3"
              ></p-progressSpinner>
              <p-button
                *urboCmsUiHasPermission="Permission.CategoryDelete"
                label="Löschen"
                icon="pi pi-trash"
                class="mr-2"
                severity="danger"
                (onClick)="confirmDeleteCategory(category)"
                [disabled]="loading"
              ></p-button>
              <p-button
                *urboCmsUiHasPermission="Permission.CategoryWrite"
                label="Speichern"
                icon="pi pi-save"
                type="submit"
                [disabled]="loading || !f.valid"
              ></p-button>
            </div>
          </form>
        </p-accordionTab>
      </p-accordion>
      <p-confirmDialog></p-confirmDialog>
    </p-card>

    <urbo-cms-news-new-category
      *urboCmsUiHasPermission="Permission.CategoryWrite"
      (created)="loadContent()"
    ></urbo-cms-news-new-category>
  </div>
  <div
    class="col-12 md:col-4"
    *urboCmsUiHasPermission="Permission.CategoryRead"
  >
    <urbo-cms-news-unmapped-categories
      [unmappedSourceCategories]="unmappedSourceCategories"
    ></urbo-cms-news-unmapped-categories>
  </div>
</div>
